<!-- Estrutura HTML baseada no template base -->
<br-header></br-header>
<main class="d-flex flex-fill mb-5" id="main">
  <div class="container-lg d-flex">
    <div class="row">
      <!-- Classe, ID e data-breakpoints foram movidos do template do componente e passados para a tag wrapper -->
      <br-menu
        class="br-menu push active col-sm-4 col-lg-2 px-0"
        id="main-navigation"
        data-breakpoints="col-sm-4 col-lg-2"
      >
      </br-menu>
      <div class="col mb-5">
        <br-breadcrumb></br-breadcrumb>
        <div class="main-content pl-sm-3 mt-4" id="main-content">
          <h1>Componentes Core V4</h1>

          <div class="br-message warning" role="alert">
            <div class="icon">
              <i class="fas fa-exclamation-triangle fa-lg" aria-hidden="true">
              </i>
            </div>
            <div class="content">
              <span class="message-title">Atenção.</span>
              <span class="message-body">
                Esse projeto NÃO ESTÁ PRONTO PARA PRODUÇÃO! Sinta-se à vontade
                para usá-lo como ponto de partida para seu projeto ou como
                exemplo de uso, mas tenha em mente que configurações, melhorias
                e correções precisarão ser feitos.
                <hr />
                Para mais informações acesse o
                <a href="https://gov.br/ds" target="_blank">nosso site</a>.
              </span>
            </div>
            <div class="close">
              <button
                class="br-button circle small"
                type="button"
                aria-label="Fechar"
              >
                <i class="fas fa-times" aria-hidden="true"></i>
              </button>
            </div>
          </div>

          <h2>TODO LIST</h2>
          <!-- TODO: CRIAR UM COMPONENTE MESSAGE -->
          <div
            *ngIf="showMessageError || showMessageSuccess"
            class="br-message success"
            role="alert"
          >
            <div class="icon">
              <i class="fas fa-check-circle fa-lg" aria-hidden="true"></i>
            </div>
            <div class="content">
              <span class="message-body">{{
                showMessageError || showMessageSuccess
              }}</span>
            </div>
            <div class="close">
              <button
                class="br-button circle small"
                type="button"
                aria-label="Fechar"
              >
                <i class="fas fa-times" aria-hidden="true"></i>
              </button>
            </div>
          </div>
          <div class="row">
            <div class="col">
              <form class="todo-form" #f="ngForm" (ngSubmit)="onSubmit(f)">
                <div class="col-sm-8 col-lg-5" style="display: flex">
                  <div class="br-input">
                    <label for="input-default"></label>
                    <input
                      ngModel
                      id="title"
                      type="text"
                      name="title"
                      placeholder="Placeholder"
                    />
                  </div>
                  <button class="br-button secondary ml-2 mt-1" type="submit">
                    Adicionar
                  </button>
                </div>
              </form>
            </div>
          </div>

          <div class="row">
            <div class="col">
              <div class="col-sm-8 col-lg-5" style="margin-top: 10px">
                <div class="br-list" role="list">
                  <div class="header">
                    <div class="title">Tarefas cadastradas</div>
                  </div>
                  <span class="br-divider"></span>
                  <!-- LISTS -->
                  <div
                    *ngFor="let task of tasks"
                    class="br-item"
                    role="listitem"
                  >
                    <div class="row align-items-center">
                      <!-- TODO: ADICIONAR CHECKBOX PARA SELECIONAR O ITEM -->
                      <div class="col">{{ task.title }}</div>
                      <div class="col-auto">
                        <button
                          class="br-button circle tertiary"
                          type="button"
                          aria-label="ícone para remover a tarefa já cadastrada"
                          (click)="onDeleteTask(task.id)"
                        >
                          <i class="fas fa-trash" aria-hidden="true"></i>
                        </button>
                        <button
                          class="br-button circle tertiary"
                          type="button"
                          aria-label="Ícone ilustrativo"
                          (click)="onCompleteTasks(task.id)"
                        >
                          <i class="fas fa-check" aria-hidden="true"></i>
                        </button>
                      </div>
                    </div>
                  </div>
                  <!-- CARDS -->
                  <!-- <div class="row mt-5">
                    <div class="col-md">
                      <div *ngFor="let task of tasks" class="br-card hover">
                        <div
                          class="card-content"
                          style="
                            display: flex;
                            align-items: center;
                            justify-content: center;
                          "
                        >
                          <div class="col">{{ task.title }}</div>
                          <div class="col-auto">
                            <button
                              class="br-button circle secondary mr-3"
                              type="button"
                              aria-label="ícone para remover a tarefa já cadastrada"
                              (click)="onDeleteTask(task.id)"
                            >
                              <i class="fas fa-trash" aria-hidden="true"></i>
                            </button>
                            <button
                              class="br-button circle primary mr-3"
                              type="button"
                              aria-label="Ícone ilustrativo"
                              (click)="onCompleteTasks(task.id)"
                            >
                              <i class="fas fa-check" aria-hidden="true"></i>
                            </button>
                          </div>
                        </div>
                      </div>
                    </div>
                  </div> -->
                  <!-- Mensagem de alerta -->
                  <div
                    class="br-message info"
                    role="alert"
                    *ngIf="!tasks?.length"
                  >
                    <div class="icon">
                      <i
                        class="fas fa-info-circle fa-lg"
                        aria-hidden="true"
                      ></i>
                    </div>
                    <div class="content">
                      <span class="message-title">Informação.</span
                      ><span class="message-body">
                        Sua Lista de Tarefas está Vazia!</span
                      >
                    </div>
                    <div class="close">
                      <button
                        class="br-button circle small"
                        type="button"
                        aria-label="Fechar"
                      >
                        <i class="fas fa-times" aria-hidden="true"></i>
                      </button>
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</main>
<br-footer></br-footer>
